Problem with updating iPod touch (2.2 to 4.0)

Discussion in 'iPod touch' started by _eesti999_, Aug 9, 2010.

  1. _eesti999_

    _eesti999_ New Member

    Joined:
    Nov 2, 2008
    Messages:
    13
    Likes Received:
    0
    Hi
    I tried to update iPod touch with OS 2.2 to OS 4.0. It did the backup, then came a message, "Unknow error occured", with number in there 2198.

    I didn't find any help from internet. What should I do?
    Thanks for helping.
  2. bubs58

    bubs58 Member

    Joined:
    Dec 31, 2007
    Messages:
    594
    Likes Received:
    2
    Device:
    iPod touch
    Im just guessing, but is it possible you have to pay for the 3.0 update that go to the 4.0 firmware from there? And again, im not sure im just thinking out loud
  3. SwiftSkii

    SwiftSkii Active Member

    Joined:
    Jul 14, 2010
    Messages:
    1,638
    Likes Received:
    0
    Device:
    iPad
    Happened to me too. Just my number was different. I downloaded the ISPW for 4.0 and shift clicked restore. Easy.
  4. saxodark

    saxodark New Member

    Joined:
    Jan 2, 2010
    Messages:
    10
    Likes Received:
    0
    Device:
    2G iPod touch
    If you try to download the 3.0 from a site and update it.Then to 4.0.
    (Sorry for my english)
  5. legendarytrainer

    legendarytrainer New Member

    Joined:
    Dec 13, 2007
    Messages:
    374
    Likes Received:
    0
    Device:
    iPhone 4 (White)
    technicallt that would be illgal to download 3.0 from a site, but not for 4.0. just google search ipod touch firmware and go down to the bottom and choose the correct version of 4.0 and then downlaod it and shift+update or shift+restore

    EDIT:if that fails then just contact apple and make sure you dont have to pay for 3.0 before you upgrade cuz i guarantee if you buy 3.0 and it still doesnt work, you will be mighty pissed.
  6. 42395_skyline

    42395_skyline Community Development Staff Member

    Joined:
    Feb 14, 2009
    Messages:
    10,912
    Likes Received:
    489
    Device:
    iPhone 6
    You wont have to pay for 3.0 if you DFU restore. It wont know your on 2.2

Share This Page